package com.hzya.frame.bip.v3.v2207.entity;

import java.util.List;

public class BipVoucherDetails {
    private List<BipAss> ass;
    private List<BipCashflow> cashflow;
    private String creditamount;
    private String debitamount;
    private String explanation;
    private String localcreditamount;
    private String localdebitamount;
    private String pk_accsubj;
    private String pk_currtype;
    private String debitquantity;
    private String price;
    private String accountCode;
    private String amount;
    private String globalcreditamount;
    private String globaldebitamount;
    private String groupdebitamount;
    private String currtypeCode;
    private String busidate;
    private String groupcreditamount;
    private String detailindex;

    public List<BipAss> getAss() {
        return ass;
    }

    public void setAss(List<BipAss> ass) {
        this.ass = ass;
    }

    public List<BipCashflow> getCashflow() {
        return cashflow;
    }

    public void setCashflow(List<BipCashflow> cashflow) {
        this.cashflow = cashflow;
    }

    public String getCreditamount() {
        return creditamount;
    }

    public void setCreditamount(String creditamount) {
        this.creditamount = creditamount;
    }

    public String getDebitamount() {
        return debitamount;
    }

    public void setDebitamount(String debitamount) {
        this.debitamount = debitamount;
    }

    public String getExplanation() {
        return explanation;
    }

    public void setExplanation(String explanation) {
        this.explanation = explanation;
    }

    public String getLocalcreditamount() {
        return localcreditamount;
    }

    public void setLocalcreditamount(String localcreditamount) {
        this.localcreditamount = localcreditamount;
    }

    public String getLocaldebitamount() {
        return localdebitamount;
    }

    public void setLocaldebitamount(String localdebitamount) {
        this.localdebitamount = localdebitamount;
    }

    public String getPk_accsubj() {
        return pk_accsubj;
    }

    public void setPk_accsubj(String pk_accsubj) {
        this.pk_accsubj = pk_accsubj;
    }

    public String getPk_currtype() {
        return pk_currtype;
    }

    public void setPk_currtype(String pk_currtype) {
        this.pk_currtype = pk_currtype;
    }

    public String getDebitquantity() {
        return debitquantity;
    }

    public void setDebitquantity(String debitquantity) {
        this.debitquantity = debitquantity;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getAccountCode() {
        return accountCode;
    }

    public void setAccountCode(String accountCode) {
        this.accountCode = accountCode;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getGlobalcreditamount() {
        return globalcreditamount;
    }

    public void setGlobalcreditamount(String globalcreditamount) {
        this.globalcreditamount = globalcreditamount;
    }

    public String getGlobaldebitamount() {
        return globaldebitamount;
    }

    public void setGlobaldebitamount(String globaldebitamount) {
        this.globaldebitamount = globaldebitamount;
    }

    public String getGroupdebitamount() {
        return groupdebitamount;
    }

    public void setGroupdebitamount(String groupdebitamount) {
        this.groupdebitamount = groupdebitamount;
    }

    public String getCurrtypeCode() {
        return currtypeCode;
    }

    public void setCurrtypeCode(String currtypeCode) {
        this.currtypeCode = currtypeCode;
    }

    public String getBusidate() {
        return busidate;
    }

    public void setBusidate(String busidate) {
        this.busidate = busidate;
    }

    public String getGroupcreditamount() {
        return groupcreditamount;
    }

    public void setGroupcreditamount(String groupcreditamount) {
        this.groupcreditamount = groupcreditamount;
    }

    public String getDetailindex() {
        return detailindex;
    }

    public void setDetailindex(String detailindex) {
        this.detailindex = detailindex;
    }
}